Name:           perl-Math-Vec
Version:        1.01
Release:        2%{?dist}
Summary:        Perl Math::Vec module

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Math-Vec/
Source0:        http://search.cpan.org/CPAN/authors/id/E/EW/EWILHELM/Math-Vec-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
# For improved tests
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Object-oriented vector math methods in Perl.

%prep
%setup -q -n Math-Vec-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
PERL_INSTALL_ROOT=$RPM_BUILD_ROOT ./Build install
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
TEST_POD_COVERAGE=1 TEST_POD=1 ./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.01-2
Rebuild for new perl

* Wed Jan 16 2008 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.01-1
- Update to 1.01
- Add build requirements on Test::More and Test::Pod (patch by
  Ralf Corsépius)
- Make license tag reflect the version of GPL (patch by Ralf Corsépius)

* Fri May 04 2007 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.04-2
- Packaging improvements (use more proper license tag, use tarball
  with preserved timestamp, remove direct BuildRequires on perl, expand
  description, enable pod tests) by Bernard Johnson

* Mon Apr 16 2007 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.04-1
- First package
